org.apache.ignite.internal.jdbc.thin

## Interface ConnectionProperties

All Known Implementing Classes:
  ConnectionPropertiesImpl

    public interface ConnectionProperties

Provide access and manipulations with connection JDBC properties.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getHost()`
`int` `getPort()`
`int` `getSocketReceiveBuffer()`
`int` `getSocketSendBuffer()`
`boolean` `isAutoCloseServerCursor()`
`boolean` `isCollocated()`
`boolean` `isDistributedJoins()`
`boolean` `isEnforceJoinOrder()`
`boolean` `isLazy()`
`boolean` `isReplicatedOnly()`
`boolean` `isSkipReducerOnUpdate()`
`boolean` `isTcpNoDelay()`
`void` `setAutoCloseServerCursor(boolean autoCloseServerCursor)`
`void` `setCollocated(boolean collocated)`
`void` `setDistributedJoins(boolean distributedJoins)`
`void` `setEnforceJoinOrder(boolean enforceJoinOrder)`
`void` `setHost(String host)`
`void` `setLazy(boolean lazy)`
`void` `setPort(int port)`
`void` `setReplicatedOnly(boolean replicatedOnly)`
`void` `setSkipReducerOnUpdate(boolean skipReducerOnUpdate)`
`void` `setSocketReceiveBuffer(int size)`
`void` `setSocketSendBuffer(int size)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`

### Method Detail

#### getHost

    String getHost()

Returns:
  Host name or host's IP to connect.

#### setHost

    void setHost(String host)

Parameters:
  `host` - Host name or host's IP to connect.

#### getPort

    int getPort()

Returns:
  Port to connect.

#### setPort

    void setPort(int port)
          throws SQLException

Parameters:
  `port` - Port to connect.
Throws:
  `SQLException` - On error.

#### isDistributedJoins

    boolean isDistributedJoins()

Returns:
  Distributed joins flag.

#### setDistributedJoins

    void setDistributedJoins(boolean distributedJoins)

Parameters:
  `distributedJoins` - Distributed joins flag.

#### isEnforceJoinOrder

    boolean isEnforceJoinOrder()

Returns:
  Enforce join order flag.

#### setEnforceJoinOrder

    void setEnforceJoinOrder(boolean enforceJoinOrder)

Parameters:
  `enforceJoinOrder` - Enforce join order flag.

#### isCollocated

    boolean isCollocated()

Returns:
  Collocated flag.

#### setCollocated

    void setCollocated(boolean collocated)

Parameters:
  `collocated` - Collocated flag.

#### isReplicatedOnly

    boolean isReplicatedOnly()

Returns:
  Replicated only flag.

#### setReplicatedOnly

    void setReplicatedOnly(boolean replicatedOnly)

Parameters:
  `replicatedOnly` - Replicated only flag.

#### isAutoCloseServerCursor

    boolean isAutoCloseServerCursor()

Returns:
  Auto close server cursors flag.

#### setAutoCloseServerCursor

    void setAutoCloseServerCursor(boolean autoCloseServerCursor)

Parameters:
  `autoCloseServerCursor` - Auto close server cursors flag.

#### getSocketSendBuffer

    int getSocketSendBuffer()

Returns:
  Socket send buffer size.

#### setSocketSendBuffer

    void setSocketSendBuffer(int size)
                      throws SQLException

Parameters:
  `size` - Socket send buffer size.
Throws:
  `SQLException` - On error.

#### getSocketReceiveBuffer

    int getSocketReceiveBuffer()

Returns:
  Socket receive buffer size.

#### setSocketReceiveBuffer

    void setSocketReceiveBuffer(int size)
                         throws SQLException

Parameters:
  `size` - Socket receive buffer size.
Throws:
  `SQLException` - On error.

#### isTcpNoDelay

    boolean isTcpNoDelay()

Returns:
  TCP no delay flag.

#### setTcpNoDelay

    void setTcpNoDelay(boolean tcpNoDelay)

Parameters:
  `tcpNoDelay` - TCP no delay flag.

#### isLazy

    boolean isLazy()

Returns:
  Lazy query execution flag.

#### setLazy

    void setLazy(boolean lazy)

Parameters:
  `lazy` - Lazy query execution flag.

#### isSkipReducerOnUpdate

    boolean isSkipReducerOnUpdate()

Returns:
  Skip reducer on update flag.

#### setSkipReducerOnUpdate

    void setSkipReducerOnUpdate(boolean skipReducerOnUpdate)

Parameters:
  `skipReducerOnUpdate` - Skip reducer on update flag.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018